namespace ScadaLink.Commons.Entities.Notifications;

public class NotificationRecipient
{
    public int Id { get; set; }
    public int NotificationListId { get; set; }
    public string Name { get; set; }
    public string EmailAddress { get; set; }

    public NotificationRecipient(string name, string emailAddress)
    {
        Name = name ?? throw new ArgumentNullException(nameof(name));
        EmailAddress = emailAddress ?? throw new ArgumentNullException(nameof(emailAddress));
    }
}
